Bug 242445

Summary: security/vuls: Unbreak on aarch64
Product: Ports & Packages Reporter: Dmitri Goutnik <dmgk>
Component: Individual Port(s)Assignee: Dmitri Goutnik <dmgk>
Status: Closed FIXED    
Severity: Affects Only Me CC: iscandr, linimon
Priority: --- Keywords: buildisok
Version: LatestFlags: bugzilla: maintainer-feedback? (iscandr)
Hardware: arm64   
OS: Any   
Bug Depends on:    
Bug Blocks: 242312    
Attachments:
Description Flags
vuls-0.6.1_1.patch dmgk: maintainer-approval? (iscandr)

Description Dmitri Goutnik freebsd_committer 2019-12-05 11:50:53 UTC
Created attachment 209717 [details]
vuls-0.6.1_1.patch

===>  Building vuls from github.com/future-architect/vuls
# github.com/future-architect/vuls/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body

http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/vuls-0.6.1.log

Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds support for freebsd/arm64.

Tested on 12.1-STABLE/arm64 and 12.1-RELEASE/amd64.
Comment 1 Automation User 2019-12-20 18:21:21 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/104494042
Comment 2 commit-hook freebsd_committer 2020-02-22 13:11:27 UTC
A commit references this bug:

Author: dmgk
Date: Sat Feb 22 13:11:10 UTC 2020
New revision: 526771
URL: https://svnweb.freebsd.org/changeset/ports/526771

Log:
  security/vuls: Unbreak on aarch64

  PR:		242445
  Approved by:	iscandr@gmail.com (maintainer timeout, >2 months)

Changes:
  head/security/vuls/Makefile
  head/security/vuls/distinfo